Name:           chntpw
# Version is taken from HISTORY.txt
Version:        1.0
Release:        %mkrel 5
Summary:        Change passwords in Windows SAM files
Group:          Editors
License:        GPLv2
URL:		http://pogostick.net/~pnh/ntpasswd/
Source0:	http://pogostick.net/~pnh/ntpasswd/chntpw-source-140201.zip
Source2:        chntpw-README.Dist
# The man page is borrowed from Debian
Source3:        chntpw-chntpw.8
BuildRequires:  libgcrypt-devel

Patch1:		chntpw-140201-debian-port_to_gcrypt.patch
Patch2:		chntpw-140201-debian-get_abs_path.patch
Patch3:		chntpw-140201-debian-correct_test_open_syscall.patch
Patch4:		chntpw-140201-debian-detect_failure_to_write_key.patch
Patch5:		chntpw-140201-debian-no_deref_null.patch
Patch6:		chntpw-140201-debian-improve_robustness.patch


%description
This is a utility to (re)set the password of any user that has a valid
(local) account on your Windows NT/2k/XP/Vista etc system. You do not
need to know the old password to set a new one. It works offline, that
is, you have to shutdown your computer and boot off a floppydisk or CD
or another system. Will detect and offer to unlock locked or disabled
out user accounts! There is also a registry editor and other registry
utilities that works under linux/unix, and can be used for other things
than password editing.


%prep
%setup -q -n %{name}-140201
cp -p %{SOURCE2} README.Dist
sed -e 's/\r$//' WinReg.txt > WinReg.txt.eol
touch -c -r WinReg.txt WinReg.txt.eol
mv WinReg.txt.eol WinReg.txt

%autopatch -p1


%build
make CC="%__cc" EXTRA_CFLAGS="$RPM_OPT_FLAGS" chntpw cpnt reged


%install
mkdir -p %{buildroot}%{_bindir}
cp chntpw %{buildroot}%{_bindir}
cp cpnt   %{buildroot}%{_bindir}
cp reged  %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8/
cp -p %{SOURCE3} %{buildroot}%{_mandir}/man8/%{name}.8



%files
%doc GPL.txt LGPL.txt README.txt regedit.txt WinReg.txt HISTORY.txt
%doc README.Dist
%{_bindir}/chntpw
%{_bindir}/cpnt
%{_bindir}/reged
%{_mandir}/man8/%{name}.8*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0-5.mga8
+ Revision: 1511293
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1296125
- Mageia 7 Mass Rebuild

* Wed May 04 2016 pterjan <pterjan> 1.0-3.mga6
+ Revision: 1009057
- Add missing part of gcrypt patch

* Fri Feb 19 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 969765
- Mageia 6 Mass Rebuild

* Wed Sep 09 2015 zezinho <zezinho> 1.0-1.mga6
+ Revision: 874710
- new version 1.0 - remove upstreamed patches - use debian rediff

* Wed Oct 15 2014 umeabot <umeabot> 0.99.6-4.mga5
+ Revision: 739592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.99.6-3.mga5
+ Revision: 678382
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.99.6-2.mga4
+ Revision: 522179
- Mageia 4 Mass Rebuild

* Mon Feb 11 2013 zezinho <zezinho> 0.99.6-1.mga3
+ Revision: 397928
- spec cleanup
- imported package chntpw


* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-19.110511
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-18.110511
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 18 2011 Conrad Meyer <konrad@tylerc.org> - 0.99.6-17.110511
- Fix 'robustness' patch (#755622)

* Tue Nov 1 2011 Conrad Meyer <konrad@tylerc.org> - 0.99.6-16.110511
- Update to latest upstream (110511) (#750005).
- Update fedora patches to apply cleanly, dropping useless hunks
  as needed.
- Add upstream version to "Release" tag, so that people can
  actually tell which version of upstream we're shipping from the
  rpm version.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun 7 2010 Conrad Meyer <konrad@tylerc.org> - 0.99.6-14
- Upstream changed hosts; fixed URL and Source0.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Richard W.M. Jones <rjones@redhat.com> - 0.99.6-12
- Two^W Three more patches from Jim Meyering to improve general code quality.

* Mon Jul 20 2009 Richard W.M. Jones <rjones@redhat.com> - 0.99.6-10
- Three patches from Jim Meyering aiming to improve the general
  robustness of the code.

* Mon Jun  8 2009 Richard W.M. Jones <rjones@redhat.com> - 0.99.6-9
- Compile against libgcrypt instead of OpenSSL (RHBZ#504595).
- Compile as a 64 bit native binary on 64 bit platforms.

* Mon Jun  8 2009 Richard W.M. Jones <rjones@redhat.com> - 0.99.6-8
- Fix three crashing bugs in 'reged -x' command.

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - 0.99.6-6
- rebuild with new openssl

* Sun Oct 11 2008 Conrad Meyer <konrad@tylerc.org> - 0.99.6-5
- Bump because force-tag was removed. Please add it back.

* Sat Oct 11 2008 Conrad Meyer <konrad@tylerc.org> - 0.99.6-4
- Fix EOL encodings in WinReg.txt.

* Sat Oct 11 2008 Conrad Meyer <konrad@tylerc.org> - 0.99.6-3
- More miscellaneous small changes.

* Fri Oct 10 2008 Conrad Meyer <konrad@tylerc.org> - 0.99.6-2
- Revert to original Makefile.
- Miscellaneous small changes.

* Wed Oct 1 2008 Conrad Meyer <konrad@tylerc.org> - 0.99.6-1
- Initial package.
